<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Search Forms</title>
</head>
<body>
    
<!-- The first form that allows users to search customers by conuntry -->
<form action="handle_country.php" method="post">
	<fieldset><legend>Search customers by country:</legend>
	<p>Enter a country name: 
	<input type="text" name="country_name" size="20" maxlength="40"> (example: USA, France, Japan, UK)</p>
	<div align="center"><input type="submit" name="search" value="search"></div>
	</fieldset>
</form>
<br><br>

<!-- The second form that allows users to search orders by required date range-->
<form action="handle_date.php" method="post"> 
	<fieldset><legend>Search orders by required date range:</legend>
	<p>Start date: 
	<input type="text" name="start_date" size="20" maxlength="40"> (example: 2003-01-01)<br>
	End date:
	<input type="text" name="end_date" size="20" maxlength="40"> (example: 2005-12-31)
	</p> 
	<div align="center"><input type="submit" name="search" value="search"></div>
	</fieldset>
</form>
<br><br>

<!-- The third form that allows users to search orders by shipping status-->
<form action="handle_shipstatus.php" method="post"> 
	<fieldset><legend>Search orders by shipped status:</legend>
	<p>Select a ship status: 
	<select name="ship_status"> <!-- make sure the value attribute for each option exactly matches the corresponding values stored in the database -->
		<option value="Shipped">Shipped</option> <!--If selected, $_POST['ship_status'] will store value defined in the value attribute -->
		<option value="Resolved">Resolved</option> <!--value attribute shall match with DB status column -->
		<option value="Cancelled">Cancelled</option> 
		<option value="On Hold">On Hold</option> 
		<option value="Disputed">Disputed</option>
		<option value="In Process">In Process</option>
	</select></p>
	<div align="center"><input type="submit" name="search" value="search"></div>
	</fieldset>
</form>
<br><br>

<!-- The fourth form that allows users to search customers by country-->
<form action="handle_countryDrop.php" method="post"> 
	<fieldset><legend>Search cusotmers by country:</legend>
	<p>Select a customer country:
	<select name='country_name'> 
	    <?php // Populate country drop down list using database data
	    include('mysqli_connect.php');// import db conector
	    $query = "SELECT DISTINCT country FROM `customers`";
	    $result = mysqli_query($dbc,$query);//store 27 rows
	    while($row=mysqli_fetch_array($result,MYSQLI_ASSOC)){
	        $country = $row['country']; 
	        echo "<option value=\"$country\">$country</option>\n"; //print 27 times 
	    }
	    ?>
	</select>
	</p>
	<div align="center"><input type="submit" name="search" value="search"></div>
	</fieldset>
</form>
<br><br>

</body>
</html>